## org.apache.aries.subsystem.core.archive
Class VersionAttribute

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractAttribute
              org.apache.aries.subsystem.core.archive.VersionAttribute

All Implemented Interfaces:
  Attribute, Parameter

    public class VersionAttribute

extends AbstractAttribute

Field Summary
`static VersionAttribute` `DEFAULT`
`static String` `NAME`

Constructor Summary
`VersionAttribute()`
`VersionAttribute(String value)`

Method Summary
`org.osgi.framework.Version` `getVersion()`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractAttribute
`appendToFilter, toString`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName, getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName, getValue`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### DEFAULT

    public static final VersionAttribute DEFAULT

Constructor Detail

### VersionAttribute

    public VersionAttribute()

### VersionAttribute

    public VersionAttribute(String value)

Method Detail

### getVersion

    public org.osgi.framework.Version getVersion()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.